openssl_conf = openssl_init

[fips_sect]
activate = 1
install-version = 1
conditional-errors = 1
security-checks = 1
hmac-key-check = 0
kmac-key-check = 0
tls1-prf-ems-check = 0
no-short-mac = 0
drbg-no-trunc-md = 0
signature-digest-check = 0
hkdf-digest-check = 0
tls13-kdf-digest-check = 0
tls1-prf-digest-check = 0
sshkdf-digest-check = 0
sskdf-digest-check = 0
x963kdf-digest-check = 0
dsa-sign-disabled = 0
tdes-encrypt-disabled = 0
rsa-pkcs15-pad-disabled = 0
rsa-pss-saltlen-check = 0
rsa-sign-x931-pad-disabled = 0
hkdf-key-check = 0
kbkdf-key-check = 0
tls13-kdf-key-check = 0
tls1-prf-key-check = 0
sshkdf-key-check = 0
sskdf-key-check = 0
x963kdf-key-check = 0
x942kdf-key-check = 0
pbkdf2-lower-bound-check = 1
ecdh-cofactor-check = 0
module-mac = 9D:2A:C4:19:A6:5F:61:FC:64:15:4B:3C:2D:02:F3:96:3E:C1:F5:25:2B:08:F9:03:5D:4D:00:3A:80:A2:2C:64

[openssl_init]
providers = provider_sect
alg_section = algorithm_sect

[provider_sect]
default = default_sect
fips = fips_sect

[default_sect]
activate = 1

[algorithm_sect]
default_properties = fips=yes
